{
    "$graph": [
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/annotation"
                },
                {
                    "type": "Directory",
                    "id": "#main/pairDirectory"
                }
            ],
            "steps": [
                {
                    "run": "#pairwise-distance.cwl",
                    "in": [
                        {
                            "source": "#main/pairDirectory",
                            "id": "#main/distanceMatrix/pairDirectory"
                        }
                    ],
                    "out": [
                        "#main/distanceMatrix/tableDistance"
                    ],
                    "id": "#main/distanceMatrix"
                },
                {
                    "run": "#pairwise-euc-heatmap.cwl",
                    "in": [
                        {
                            "source": "#main/annotation",
                            "id": "#main/heatMap/annotation"
                        },
                        {
                            "source": "#main/distanceMatrix/tableDistance",
                            "id": "#main/heatMap/pairwiseTable"
                        }
                    ],
                    "out": [
                        "#main/heatMap/tableHeat"
                    ],
                    "id": "#main/heatMap"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/distanceMatrix/tableDistance",
                    "id": "#main/tableDistance"
                },
                {
                    "type": "File",
                    "outputSource": "#main/heatMap/tableHeat",
                    "id": "#main/tableHeat"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "pairwise-distance.sh",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/epigenomic_screw/screw"
                }
            ],
            "stdout": "pairwise-euc.txt",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#pairwise-distance.cwl/pairDirectory"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "pairwise-euc.txt"
                    },
                    "id": "#pairwise-distance.cwl/tableDistance"
                }
            ],
            "id": "#pairwise-distance.cwl"
        },
        {
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/epigenomic_screw/screw"
                }
            ],
            "baseCommand": "pairwise-euc-heatmap.R",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2,
                        "prefix": "-a"
                    },
                    "id": "#pairwise-euc-heatmap.cwl/annotation"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1,
                        "prefix": "-i"
                    },
                    "id": "#pairwise-euc-heatmap.cwl/pairwiseTable"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.pdf"
                    },
                    "id": "#pairwise-euc-heatmap.cwl/tableHeat"
                }
            ],
            "id": "#pairwise-euc-heatmap.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
